local federalesHRT = ModInstance
local has_hrt_run = false

local function load_normal_cops()
	federalesHRT:GetSuperMod():GetAssetLoader():FreeAssetGroup("federales_hrt")
	federalesHRT:GetSuperMod():GetAssetLoader():FreeAssetGroup("original_hrt")
	federalesHRT:GetSuperMod():GetAssetLoader():LoadAssetGroup("original_hrt")
end

local function load_federales_cops()
	federalesHRT:GetSuperMod():GetAssetLoader():FreeAssetGroup("federales_hrt")
	federalesHRT:GetSuperMod():GetAssetLoader():FreeAssetGroup("original_hrt")
	federalesHRT:GetSuperMod():GetAssetLoader():LoadAssetGroup("federales_hrt")
end

Hooks:PostHook(CharacterTweakData, "init", "federaleshrt_chartweak_init", function(self, tweak_data)
	if has_hrt_run then
		return
	end

	local region = tostring(tweak_data.levels:get_ai_group_type())

	if region == "federales" then
		load_federales_cops()
	else
		load_normal_cops()
	end
	Application:apply_render_settings()
	has_hrt_run = true
end)
